/* Create folder for Syslog. */

/* Register with REXX API extensions. */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

/* creation disposition. */
CreateCollision = 'Update'

/* Clear the screen */
Call SysCls
say

/* Create the objects */
Call CreateObjects
Exit

CreateObject: procedure
    Parse Arg Class, Title, Location, Setup, Collision
    Say 'Creating ['Title']'
    rc = SysCreateObject( Class, Title, Location, Setup, Collision )
    If rc <> 1 Then
        Say ' > failed to create ['Title' | 'Class'] at location ['Location']'
    return rc

CreateObjects:

current_dir = directory()
ETC_path = value('ETC',,'OS2ENVIRONMENT')
folderID = '<SYSLOG_for_OS2>'
folderName = 'Syslog^for OS/2'
folderDest = '<WP_DESKTOP>'

rc = CreateObject( 'WPFolder',,
    folderName,,
    folderDest,,
    'ALWAYSSORT=YES;'||,
        'OBJECTID='||folderID,,
    CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Syslog Deamon',,
      folderID,,
      'EXENAME='||current_dir||'\SYSLOGD.EXE;'||,
          'STARTUPDIR='||current_dir||';'||,
          'PARAMETERS= -f '||current_dir||'\SYSLOG.CONF;'||,
          'PROGTYPE=WINDOWABLEVIO',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Syslog Deamon^(INET)',,
      folderID,,
      'EXENAME='||current_dir||'\SYSLOGDI.EXE;'||,
          'STARTUPDIR='||current_dir||';'||,
          'PARAMETERS= -f '||current_dir||'\SYSLOG.CONF;'||,
          'PROGTYPE=WINDOWABLEVIO',,
      CreateCollision )

  rc = CreateObject( 'WPProgram',,
      'Edit Syslog^Configuration',,
      folderID,,
      'EXENAME=E.EXE;'||,
          'STARTUPDIR='||current_dir||';'||,
          'PARAMETERS='||current_dir||'\SYSLOG.CONF',,
      CreateCollision )

  rc = CreateObject( 'WPShadow',,
      'read.me',,
      folderID,,
      'SHADOWID='||current_dir||'\read.me',,
      CreateCollision )

  rc = CreateObject( 'WPShadow',,
      'logger.man',,
      folderID,,
      'SHADOWID='||current_dir||'\logger.man',,
      CreateCollision )

  rc = CreateObject( 'WPShadow',,
      'syslogcf.man',,
      folderID,,
      'SHADOWID='||current_dir||'\syslogcf.man',,
      CreateCollision )

  rc = CreateObject( 'WPShadow',,
      'syslogd.man',,
      folderID,,
      'SHADOWID='||current_dir||'\syslogd.man',,
      CreateCollision )

return

